   $(function(e) {
        e.fn.jPushMenu = function(t) {
            var i = e.extend({}, e.fn.jPushMenu.defaultOptions, t);
            e("body").addClass(i.bodyClass), e(this).addClass("jPushMenuBtn"), e(this).mousedown(function() {
                e(this).data("mouseDown", !0)
            }), e(this).mouseup(function() {
                e(this).removeData("mouseDown")
            }), e(this).focus(function() {
                e(this).data("mouseDown") || e(this).click()
            }), e(this).on("click", function() {
                var t = "",
                    n = "";
                return e(this).is("." + i.showLeftClass) ? (t = ".cbp-spmenu-left", n = "toright") : e(this).is("." + i.showRightClass) ? (t = ".cbp-spmenu-right", n = "toleft") : e(this).is("." + i.showTopClass) ? t = ".cbp-spmenu-top" : e(this).is("." + i.showBottomClass) && (t = ".cbp-spmenu-bottom"), e(this).toggleClass(i.activeClass), e(t).toggleClass(i.menuOpenClass), e(this).is("." + i.pushBodyClass) && e("body").toggleClass("cbp-spmenu-push-" + n), e(".jPushMenuBtn").not(e(this)).toggleClass("disabled"), !1
            });
            var n = {
                close: function() {
                    e(".jPushMenuBtn,body,.cbp-spmenu").removeClass("disabled active cbp-spmenu-open cbp-spmenu-push-toleft cbp-spmenu-push-toright menu-active")
                }
            };
            i.closeOnClickInside && (e(document).click(function() {
                n.close(), e("." + i.activeClass).removeClass(i.activeClass)
            }), e(".cbp-spmenu,.toggle-menu").click(function(e) {
                e.stopPropagation()
            })), e("#last").on("focusout", function() {
                n.close(), e("." + i.activeClass).removeClass(i.activeClass)
            }), e(document).on("keydown", function(t) {
                27 === t.keyCode && (n.close(), e("." + i.activeClass).removeClass(i.activeClass))
            }), i.closeOnClickOutside && (e(document).click(function() {
                n.close(), e("." + i.activeClass).removeClass(i.activeClass)
            }), e(".cbp-spmenu,.toggle-menu").click(function(e) {
                e.stopPropagation()
            })), i.closeOnClickLink && e(".cbp-spmenu a").on("click", function() {
                n.close(), e("." + i.activeClass).removeClass(i.activeClass)
            })
        }, e.fn.jPushMenu.defaultOptions = {
            bodyClass: "cbp-spmenu-push",
            activeClass: "menu-active",
            showLeftClass: "menu-left",
            showRightClass: "menu-right",
            showTopClass: "menu-top",
            showBottomClass: "menu-bottom",
            menuOpenClass: "cbp-spmenu-open",
            pushBodyClass: "push-body",
            closeOnClickOutside: !0,
            closeOnClickInside: !0,
            closeOnClickLink: !0
        }
    });